/*
 Theme Name:   Paalame
 Template:     aate
 Text Domain:  paalame
*/

@import url("https://use.typekit.net/yid8ter.css");

html {
  scroll-behavior: smooth;
  scroll-padding-top: 100px;
}

body {
    font-family: 'open-sans', sans-serif;
    font-weight: 400;
}

span.simcal-day-label.simcal-day-number {
    background: #0a369c !important;
    color: #fff !important;
}

.simcal-default-calendar-grid.simcal-default-calendar-light .simcal-day-void, .simcal-default-calendar-grid.simcal-default-calendar-light .simcal-day-void:hover {
    background-color: #00000005 !important;
}

.simcal-today {
    background: #fafafa !important;
}


/***********************
*       TYPOGRAFIA     *
***********************/

h1, h2, h3, h4, h5 {
    font-family: roca, sans-serif;
    color: #7F0140;
}

h2 {
    font-size: 1.9em;
    margin-bottom: .3em;
}

p, ul {
   color: #7F0140;
}

.tumma-tausta p, .tumma-tausta ul, .tumma-tausta h2, .tumma-tausta h3 {
    color: #FFE6C2;
}

.oranssi {
    color: #FF7817;
}
div#rt-56d2df7c0594b5c9f3b8ace789f181e9 {
    height: 60px !important;
    width: 60px !important;
}

div#text-cover {
    display: none !important;
}

.logged-in #text-cover {
    display: block !important;
}

a, a:visited, summary {
    color: #FF7817;
}

/***********************
*       HEADER         *
***********************/

h1 {
    font-size: 2.7em;
    margin-bottom: 0;
}

.home h1 {
    font-size: 2.5em;
    margin-bottom: .3em;  
}

header .container {
    height: 100%;
    width: 100%;
    clear: both;
    position: relative;
        padding-bottom: 0;
    padding-top: 89px;
}
.header-image-and-title {
    background: #FFE6C2;
    height: calc(100vh - 60px);
    min-height: 550px;
}

.home .header-image-and-title {
    height:100%;
}

.header-image.page-header {
    height: calc(100vh - 60px);
    min-height: 550px;
}

.home .puolikas-header a.button {
    margin-top: 1em;
}

.page-header .row {
    position: absolute;
    top: calc(50% + 40px);
    transform: translateY(-50%);
    max-width: 700px;
}

.page-header h1:after {
    content: '';
    display: block;
    width: 100px;
    height: 3px;
    background: #FF7817;
    /* margin: 0 auto; */
    margin-top: 20px;
    margin-bottom: 30px;
}

/*
header .row {
    position: absolute;
    top: calc(50% + 50px);
    transform: translateY(-50%);
}*/

.header-elementti {
    position: absolute;
    top: 0;
    right: 0;
    height: 85%;
    width: auto;
}

.page-header {
    max-height: 500px;
    max-height: 100%;
    height: auto;
        position: relative;
}


.page-header .otsikko {
padding: 0 25px;
}

.puolikas-header {
    width: 50%;
    float: left;
    background-color: #FFE6C2;
}
.home .header-image {
    max-height: 100%;
    display: flex;
    flex-wrap: wrap;
    height: 100vh;
    position: relative;
    min-height: 500px;
}

.header-otsikko {
    position: absolute;
    bottom: 80px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
}

.fade-bottom {
    background: linear-gradient(to top, #000000e6 4%, transparent 65%);
    height: 100%;
    width: 100%;
    position: absolute;
}

.home h1 {
    color: #FFE6C2;
    text-align: center;
        line-height: 100%;
}

img.header-img {
    max-width: 250px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2em;
        width: 70%;
}

/*.home h1 span.smaller {
    font-size: 1.24em;
}*/
    
.header-bcgr {
    height: 100%;
    width: 100%;
    background-size: cover;
    background-position: center 80px;
}

header p.nosto {
    text-align: left;
}

.ylapalkki button.menu-plus, .ylapalkki button.menu-plus:focus, .ylapalkki button.menu-plus:hover {
    background-color: #63bb35;
    border: 2px solid #333;
    color: #fff !important;
    height: 35px;
    width: 35px;
}

p.nosto-header, .home .puolikas-header p {
    margin-left: auto;
    text-align: left;
    max-width: 665px;
}

.otsikko {
    padding-top: 140px;
    padding-bottom: 70px;
}


/***********************
*       NAV         *
***********************/
    
.menu-plus:before {
    content: '\002B';
    margin-left: 0;
    margin-top: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
.menu-minus:before {
    content: "\2212"; /* Unicode character for "minus" sign (-) */
       margin-left: 1px;
    margin-top: 0;
}

/***********************
*        RAKENNE       *
***********************/

.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, .col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto {
    padding-right: 25px;
    padding-left: 25px;
}

.container, .container-fluid {
    padding-left: 0;
    padding-right: 0;
    width: 100%;
    max-width: 100%;
}

.row, .container {
    max-width: 1200px;
    margin: 0 auto;
}

.container-fluid.wide .row {
    max-width: 100%;
}
.text {
    padding-top: 50px;
    padding-bottom: 50px;
    order: 2;
}

.background {
    padding-left: 0;
    padding-right: 0;
    height: 300px;
    order: 1;
}

.kuva {
    order: 1;
}

.teksti {
    margin-top: 30px;
    order: 2;
}

.background-image {
    background-size: cover;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
}

.laatikko {
    height: 100%;
    margin-bottom: 30px;
    overflow: hidden;
}

.laatikkokuva {
    height: 200px;
    width: 100%;
    background-position: center;
    background-size: cover;
}

.laatikkoteksti {
    padding: 20px;
}

.alamargin {
    margin-bottom: 20px;
}

.logot img {
    margin: 0 auto;
    width: 100%;
    max-width: 250px;
}

ul.nav {
    padding-top: 20px;
}

a:focus {
    color: #0082ff !important;
    text-decoration: underline !important;
}

a.button:focus, nav a:focus {
    text-decoration: none !important;
}

img {
    width: 100%;
}
/*********************
*   KUVAGALLERIA     *
*********************/

.wrapper.galleria {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 15px;
}

.kuvagalleriakuva {
    height: 300px;
    background-size: cover;
    background-position: center;
    transition: .3s all;
    cursor: pointer;
    margin-bottom: 15px;
}

.kuvagalleriakuva:last-child{
    margin-bottom: 0;
}

.kuvagalleriakuva:hover {
    opacity: .7;
}

.light-box {
    position: fixed;
    height: 100%;
    width: 100%;
    background: rgba(255,255,255,0.7);
    z-index: 999;
    top: 0;
    left: 0;
    cursor: pointer;
}

.light-box img {
    max-width: 90%;
    max-height: 90%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    cursor: pointer;
    width: auto;
}
 
.light-box p {
    max-width: 80%;
    max-height: 80%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    cursor: pointer;
}
 
 .light-box img:hover {
    cursor: pointer;
}

/***************
*    HAITARI   *
***************/

.row.ukk {
    max-width: 800px;
    padding-left: 25px;
}  

.ukk .kysymys {
    margin-bottom: 20px;
}


.ukk h3::before {
content: "";
height: 10px;
width: 10px;
border-radius: 50%;
background-color: #FF7817;
    display: block;
    left: -1em;
    top: .7em;
    position: relative;
}

/*********************
*  yleiset luokat  *
*********************/

iframe {
    width: 100%;
}

.nosto p, p.nosto {
    font-size: 1.1em;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    max-width: 700px;
}

.no-paddings {
    padding-top: 0;
    padding-bottom: 0;
}

.padding-bottom-0 {
    padding-bottom: 0;
}

.padding-top-0 {
    padding-top: 0;
}

.padding-top-puolikas {
    padding-top: 40px;
}

.center img {
    margin-left: auto;
    margin-right: auto;
}

.kapea {
    max-width: 900px;
}

.valinosto {
    max-width: 1150px;
    margin-bottom: 90px;
    width: calc(100% - 50px);
    padding-top: 60px;
    padding-bottom: 60px;
}

.valinosto h2.center {
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
}
.valinosto p {
    text-align: center;
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
    font-size: 1.1em;
    margin-top: 1.5em;
    /* margin-bottom: 1em; */
}


.wpcf7 {
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

.wpcf7 form .wpcf7-response-output {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

input, textarea {
    border: none;
    border-left: 0 solid transparent;
    color: #333;
    display: inline-flex;
    padding: .5rem;
    width: 100%;
    resize: none;
    background-color: #edece4;
    border: 1px solid #e1e1e1;
    border-radius: 3px;
}

input:focus, textarea:focus {
    border: 1px solid #7F0140;
}

.kysymysrivi .kysymys {
    padding-bottom: 20px;
    display: flex;
    border-left: 3px solid #FF7817;
}

.kysymysrivi {
    max-width: 670px;
    margin-left: auto;
    margin-right: auto;
}
.kysymysrivi .kysymys:last-child {
    border-left: 3px solid transparent;
}

.pallo {
    height: 30px;
    width: 30px;
    background: #FF7817;
    border-radius: 50%;
    margin-left: -15px;
        position: relative;
}

span.pallo-inner {
    font-size: 1.1em;
    color: #fff;
    font-family: roca, sans-serif;
    position: absolute;
    top: calc(50% + 3px);
    left: 50%;
    transform: translate(-50%, -50%);
}

.kysymysrivi .kysymys p {
    margin-bottom: 0;
    padding-top: 5px;
    width: calc(100% - 40px);
    margin-left: 15px;
    font-family: roca, sans-serif;
    color: #7F0140;
    font-size: 1.1em;
    font-weight: 300;
}


/*********************
*      ETUSIVU       *
*********************/

img.nosto-elementti {
    position: absolute;
    top: 0;
    right: 0;
    height: 75%;
    width: auto;
        z-index: 1;
}

.nosto-1, .nosto-2 {
    background: #FFE6C2;
    position: relative;
    height: 100%;
    padding: 30px;
}

.z-plus {
    z-index: 2;
    position: relative;
}

.nosto-1 h3, .nosto-2 h3 {
    color: #FF7817;
    font-size: 2.2em;
    max-width: 500px;
}

/*.home h2 {
    font-size: 3.6em;
}*/

.nosto-1 h3:after, .nosto-2 h3:after {
    content: '';
    display: block;
    width: 90px;
    height: 3px;
    background: #FF7817;
    /* margin: 0 auto; */
    margin-top: 10px;
    margin-bottom: 30px;
}

h2.center:after {
    content: '';
    display: block;
    width: 90px;
    height: 3px;
    background: #FF7817;
    /* margin: 0 auto; */
    margin-top: 10px;
    margin-bottom: 30px;
    margin-left: auto;
    margin-right: auto;
}

.etusivunostot .col-md-12.col-lg-8 {
    margin-bottom: 30px;
}

/*
.nosto-1-sisalto {
    display: flex;
    flex-wrap: wrap;
    align-items: end;
}

.nosto-1-sisalto p {
    width: 80%;
}

.nosto-1-sisalto .button {
    width: 20%;
}*/

/*********************
*    ARTIKKELIT      *
*********************/

.artikkeli {
    margin-bottom: 30px;
}

.artikkelikirjoitus {
    height: 100%;
    width: 100%;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
    transition: 0.5s;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    display: flex;
    flex-direction: column;
}

.artikkelikuva {
    height: 200px;
    background-size: cover;
    background-position: center;
    transition: all .5s;
}

.artikkeliteksti {
    padding: 30px 25px 25px 25px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.artikkeliteksti h3 {
    margin-bottom: .2em;
}

p.julkaistu {
    font-size: .8em;
    text-align: left;
    margin-top: 0;
}

p.teksti {
    margin-bottom: 1.2rem;
}

p.alin {
    display: flex;
    margin-top: auto;
    border: 0;
    outline: 0;
    background: transparent;
    overflow: hidden;
    cursor: pointer;
    margin-bottom: 0;
}

.single h1 {
    margin-bottom: 0;
}

/*********************
*    YHTEYSTIEDOT    *
*********************/

.henkilo {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin-bottom: 50px;
    justify-content: center;
}

.henkilokuva, .henkilotekstit p, .henkilotekstit h2, .henkilotekstit h3 {
    width: 100%;
    text-align: center;
}

.henkilokuva img {
    width: 100%;
    border-radius: 50%;
    max-width: 200px;
    margin: 0 auto;
}


/*********************
*  VAIN MALLIULKASSA *
*********************/

.text h2, .text p {
    max-width: 700px;
}

.ylapalkki {
    background-color: #7F0140;
    box-shadow: 0 0 9px rgba(0, 0, 0, .3);
}

a.nav-link {
    text-transform: none;
    font-family: roca, sans-serif;
    color: #FFE6C2;
    font-size: 1.2em;
}

a.nav-link:hover, a.nav-link:focus, .active a.nav-link {
    color: #FF7817 !important;
}

.button, .button:visited, a.button, a.button:visited {
    background-color: #FF7817;
    border: 1px solid #FF7817;
    padding: 3px 27px;
    color: #fff;
    display: inline-block;
    font-size: 1em;
    font-weight: 300;
    font-family: 'open-sans', sans-serif;
    letter-spacing: 0;
    text-transform: none;
    width: auto;
    text-decoration: none;
    text-align: center;
    text-indent: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    transition: all .2s ease-in-out;
    border-radius: 50px;
}
.button:hover, .button:visited:hover, a.button:hover, a.button:visited:hover, input[type=submit]:hover,
.button:focus, .button:visited:focus, a.button:focus, a.button:visited:focus, input[type=submit]:focus{
    text-decoration: none;
    background-color: #fff;
    color: #FF7817 !important;
    border-color: #FF7817;
}


/*********************
*    TIETOSUOJAT     *
*********************/

.tekstisisalto h3 {
    margin-top: 1.5em;
        margin-bottom: .1em;
}


.tekstisisalto .row {
    max-width: 900px;
}

.tekstisisalto ul {
    padding-inline-start: 20px;
    margin-top: -.9em;
}

p.tietosuojaseloste-pikkuteksti {
    font-style: italic;
    font-size: .9em;
    margin-top: -1em;
}

/*********************
*     FOOTER         *
*********************/


footer {
    background-color: #7F0140;
}


footer h2 {
    font-size: 1.7em;
    margin-top: 1.3em;
}

footer a, footer a:visited {
    color: #fff;
}

footer a:focus, footer a:hover {
    color: #FF7817 !important;
}
footer img {
    max-width: 200px !important;
    margin-top: -10px;
    margin-left: auto;
    margin-right: auto;
}

img.footer-kulma {
    display: none;
}

footer .container-fluid {
    position: relative;
}
.copyrivi {
    padding-top: 12px;
    padding-bottom: 12px;
    background: #5d002e;
}

img.footer-logo {
    max-width: 250px;
    margin-left: auto;
    margin-right: auto;
    width: 70%;
}

footer .container {
    padding-top: 55px;
    padding-bottom: 50px;
}

p.copyright {
    font-size: .8em;
    text-align: center;
    margin-bottom: 0;
}

@media only screen and (min-width: 481px) {
	.single h2 {
        font-size: 1.5rem;
    }
}

@media only screen and (min-width: 576px) {

}

@media only screen and (min-width: 768px) {
    h1 {
        font-size: 4.2em;
    }
    .home h1 {
        font-size: 4.8em;
    }
    h2 {
        font-size: 3.1em;
    }
    .nosto-1 h3, .nosto-2 h3 {
        font-size: 3.4em;
    }
    .teksti-vasemmalla h2, .teksti-oikealla h2, .videonosto h2 {
        font-size: 2.5em;
    }
    .kysymysrivi .kysymys p {
        font-size: 1.3em;
    }
    .pallo {
        height: 40px;
        width: 40px;
        border-radius: 50%;
        margin-left: -23px;
    }
    .pallo-inner {
        font-size: 1.2em;
    }
    /* Animaatio */

    main .row, .header-image .row {
        opacity:1;
    }
    .page-template-page-artikkelit main .row, .single main .row, main .row.kuvagalleria, main .row.henkilot, .no-animation .row {
        opacity: 1;
    }
        .kuvagalleriakuva, .kuvagalleriakuva:last-child {
        height: 250px;
        margin-bottom: 0;
    }
    .henkilotekstit {
        width: 50%;
    }
    .henkilotekstit p, .henkilotekstit h2, .henkilotekstit h3 {
        text-align: left;
    }
    .henkilokuva {
        padding-right: 30px;
        width: calc(50% - 30px);
    }
    .henkilokuva img {
        float: right;
    }
}

@media only screen and (min-width: 992px) {
    ul.nav {
        padding-top: 0;
    }
    
    .home .otsikko {
    padding-left: 25px;
}
    
    .etusivunostot .col-md-12.col-lg-8 {
        margin-bottom: 0;
    }
    
    .nosto-1, .nosto-2 {

    padding: 40px;
}

    
        .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: .9rem;
        padding-left: .9rem;
    }
    
        .ylapalkki {
        padding: .4rem 0;
        }
    
    .home .otsikko {
        padding-top: 140px;
        padding-bottom: 70px;
        margin-right: -90px;
        z-index: 99;
        position: relative;
    }
    
    .home .puolikas-header p {
        max-width: 500px;
        text-align: left;
        margin-right: 165px;
    }
    
    .valinosto {
    padding-top: 90px;
    padding-bottom: 90px;
}
    
    .text {
        padding-top: 120px;
        padding-bottom: 120px;
    }
    .background {
        height: auto;
    }
    .background, .text, .kuva, .teksti {
        order: inherit;
    }
    .teksti {
        margin-top: 0;
    }
    
    .kuva-oikealla {
        padding-left: 0;
    }
    
    .kuva-vasemmalla {
        padding-right: 0;
    }
    
    .teksti-oikealla {
        padding-left: 70px;
        padding-right: 70px;
    }
    
    .teksti-vasemmalla {
        padding-right: 70px;
        padding-left: 70px;
    }

	.laatikko {
	    margin-bottom: 0;
	}
	.artikkelit .col-lg-4 {
        padding-right: 15px;
        padding-left: 15px;
    }
    .kuvagalleriakuva, .kuvagalleriakuva:last-child {
        height: 350px;
    }
      .row.ukk {
        padding-left: 0;
    }  
    
    .meista-1 .kuva-vasemmalla {
        flex: 0 0 40%;
        max-width: 40%;
    }
    
    .meista-1 .teksti, .meista-2 .teksti {
                flex: 0 0 60%;
        max-width: 60%;
    }
    .meista-2 .kuva-oikealla {
        flex: 0 0 40%;
        max-width: 40%;
    }
    
    .videonosto .row {
        align-items: center;
    }
    
    .videonosto h2 {
        margin-top: .5em;
    }
    footer h2 {
        font-size: 2em;
        margin-top: 0;
    }
    
    footer img {
        margin-left: 0;
    }
    


}

@media only screen and (min-width: 1200px) {
	.home .otsikko {
	    padding-left: 0;
	}
	    img.footer-kulma {
        display: block;
        position: absolute;
        bottom: 0;
        right: 0;
        height: 80%;
        width: auto !important;
        max-width: 100% !important;
    }
}

@media only screen and (min-width: 1400px) {
	img.footer-kulma {
        height: 90%;
    }
}


@media only screen and (min-width: 1800px) {
    .container-fluid.wide .kuvagalleriakuva {
        height: 450px;
    }
}


@media only screen and (max-width: 991.99999px) {
    .icon-bar {
        border-bottom: 2px solid #FFE6C2;
        box-shadow: 0 solid transparent !important;
        outline: 0 !important;
        text-shadow: none !important;
    }
    
    .icon-bar:hover, .icon-bar:focus {
        box-shadow: 0 solid transparent !important;
        outline: 0 !important;
            text-shadow: none !important;
    }
    
    p.nosto-header, .home .puolikas-header p {
        margin-left: auto;
        max-width: calc(100% - 50px);
        margin-right: auto;
    }

    .puolikas-header {
        width: 100%;
    }
    
    .puolikas-header-ensimmainen {
        order: 2;
    }
    .puolikas-header-toinen {
        order: 1;
    }
    .header-bcgr {
        height: 450px;
        background-position: center 70px;
    }
    .otsikko {
        padding-top: 60px;
        padding-bottom: 60px;
    }
    .teksti {
    padding-left: 40px;
    padding-right: 40px;
}

.videonosto h2 {
    margin-top: 1em;
}

.videot {
    padding-top: 0;
}
.videot-padding-mobile {
    padding-top: 90px;
}

.header-image-and-title {
    background: #FFE6C2;
    height: calc(90vh - 60px);
    min-height: 350px;
}

.header-image.page-header {
    height: calc(90vh - 60px);
    min-height: 350px;
}

.videot .wp-video {
    margin-bottom: 20px;
}

}